SIEVESHELL(1)

NAME
sieveshell - remotely manipulate sieve scripts

SYNOPSIS
sieveshell [--user=user] [--authname=authname] [--realm=realm] [--exec=script] server

sieveshell --help

DESCRIPTION
sieveshell allows users to manipulate their scripts on a remote server. It works via MANAGESIEVE, a work in progress.

The following commands are recognized:

list list scripts on server.

put <filename> upload script to server.

get <name> [<filename>] get script. if no filename display to stdout

delete <name> delete script.

activate <name> activate script.

deactivate deactivate all scripts.

OPTIONS
The authorization name to request; by default, derived from the authentication credentials. The user to use for authentication (defaults to current user). The realm to attempt authentication in. Instead of working interactively, run commands from script, and exit when done.

REFERENCES
[MANAGESIEVE] Martin, T.; "A Protocol for Remotely Managing Sieve Scripts", draft-ietf-managesieve-03.txt, Mirapoint, Inc.; May 2001, work in progress.

AUTHOR
Tim Martin <tmartin@mirapoint.com>, and the rest of the Cyrus team <cyrus-bugs@andrew.cmu.edu>.